package com.brainysoftware.jdk5.app25h;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class NewsServlet extends HttpServlet {
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String preference = "detail";
        Cookie[] cookies = request.getCookies();
        if (cookies != null) {
            for (Cookie cookie : cookies) {
                if (cookie.getName().equals("preference")) {
                    preference = cookie.getValue();
                    break;
                }
            }
        }
        response.setContentType("text/html");
        PrintWriter writer = response.getWriter();
        writer.println("<html>");
        if (preference.equals("detail")) {
            writer.println("<head><title>News in Detail</title></head>");
            writer.println("<body>");
            writer.print("Today's news in detail ...");
        } else {
            writer.println("<head><title>News Summary</title></head>");
            writer.println("<body>");
            writer.print("Today's news summary ...");
        }
        writer.println("</body>");
        writer.println("</html>");
    }
}
